%{?nodejs_find_provides_and_requires}

%global packagename grunt-svgmin
%global enable_tests 1

Name:		nodejs-grunt-svgmin
Version:	4.0.0
Release:	2%{?dist}
Summary:	Minify SVG

License:	MIT
URL:		https://github.com/sindresorhus/grunt-svgmin
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 and Source2 are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh

Source11:	https://raw.githubusercontent.com/sindresorhus/grunt-svgmin/v%{version}/gruntfile.js


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(each-async)
BuildRequires:	npm(grunt-cli)
BuildRequires:	npm(grunt-contrib-clean)
BuildRequires:	npm(grunt-simple-mocha)
BuildRequires:	npm(log-symbols)
BuildRequires:	npm(pretty-bytes)
BuildRequires:	npm(svgmin)
BuildRequires:	npm(svgo)
%endif

Requires:	nodejs

%description
Minify SVG


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package
cp -p %{SOURCE11} .



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json tasks/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%if 0%{?enable_tests}
ls -altr node_modules
/usr/bin/grunt --force
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Sep 22 2017 Jared Smith <jsmith@fedoraproject.org> - 4.0.0-1
- Update to upstream 4.0.0 release

* Sat Jul 23 2016 Jared Smith <jsmith@fedoraproject.org> - 3.3.0-1
- Update to upstream 3.3.0 release

* Sun Oct 25 2015 Jared Smith <jsmith@fedoraproject.org> - 2.0.1-1
- Initial packaging
